image: alpine:latest

pages:
  stage: deploy
  script:
  - find . -type f -name 'index.htm' -exec sh -c 'x="{}"; y=$(echo "$x" | sed -e 's/.htm/.html/g') ; cp $x $y' \;
  - echo "Deploying to https://transfer.hft-stuttgart.de/pages/$CI_PROJECT_PATH/"
  artifacts:
    paths:
    - public
  only:
  - master
